KUESVR(1)

NAME
kuesvr - the CERN KUIP edit server

SYNOPSIS
kuesvr -p pid -c cmd -t tmpfile [ -e editor ] file

DESCRIPTION

kuesvr is a small program called from KUIP. (KUIP stands for Kit for a User Interface Package; it is part of the Packlib library from CERN.) kuesvr allows the user to call up an editor from within a KUIP program (PAW, for instance) on the file given by file, and continue to use the program asynchronously.

In general kuesvr is not called directly from the command line (in Debian it is not even located in the $PATH); instead it will be run automatically from a KUIP program when an editor is needed, as long as the command line set with KUIP's HOST_EDITOR command ends with an ampersand ('&'), and $DISPLAY is set. If $DISPLAY is unset (or, on non-Debian systems, if kuesvr cannot be found in $PATH), the ampersand will be ignored. For instance,

PAW > HOST_EDITOR 'emacs -geometry 80x48 &'

The editor is expected to create its own graphical window. However, since 'vi' is a frequent choice, setting HOST_EDITOR to 'vi &' will automatically be interpreted as 'x-terminal-emulator -e vi &' instead.

OPTIONS

-c cmd
    Specifies the KUIP command invoking the edit server.

-e editor
    Specifies the editor to be used. By default it is vi. Even though this flag is optional, it will be set anyway when kuesvr is called from the KUIP library.

-p pid
    Specifies the process ID of the calling program.

-t tmpfile
    Specifies the name of the temporary file used for communication between the calling program and the edit server. This is a Debian extension added for security reasons. It is a required argument, so this version of kuesvr will not work with a KUIP application using CERN's unmodified Packlib; nor will CERN's unmodified kuesvr work with the Debian version of Packlib.

SEE ALSO
• paw(1) - a program that can use the edit server
• the KUIP online help available with command "help host_editor"
• the KUIP manual, available at
  http://wwwasdoc.web.cern.ch/wwwasdoc/psdir/kuip.ps.gz

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others).